{
  "name": "Ground News - Bias Checker",
  "version": "3.2.1",
  "description": "Explore the web and lookup articles you find on Ground News",
  "icons": {
    "16": "16.png",
    "32": "32.png",
    "48": "48.png",
    "128": "128.png"
  },
  "permissions": [
    "tabs",
    "storage"
  ],
  "host_permissions": [
    "https://extension.ground.news/*",
    "https://production.checkitt.news/api/*"
  ],
  "background": {
    "scripts": [
      "js/background.js"
    ]
  },
  "browser_specific_settings": {
    "gecko": {
      "id": "{248e6a49-f636-4c81-9899-a456eb6291a8}"
    }
  },
  "content_scripts": [
    {
      "matches": [
        "http://*/*",
        "https://*/*"
      ],
      "exclude_matches": [
        "http://*.ground.news/*",
        "https://*.ground.news/*"
      ],
      "js": [
        "js/content_script.js"
      ],
      "css": [
        "js/content_script.css"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "https://*.reddit.com/*"
      ],
      "js": [
        "js/reddit.js"
      ],
      "css": [
        "js/reddit.css"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "https://*.x.com/*"
      ],
      "js": [
        "js/twitter.js"
      ],
      "css": [
        "js/twitter.css"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "https://*.facebook.com/*"
      ],
      "js": [
        "js/facebook.js"
      ],
      "css": [
        "js/facebook.css"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "https://*.linkedin.com/*"
      ],
      "js": [
        "js/linkedin.js"
      ],
      "css": [
        "js/linkedin.css"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "https://bsky.app/*"
      ],
      "js": [
        "js/bluesky.js"
      ],
      "css": [
        "js/bluesky.css"
      ],
      "run_at": "document_start"
    },
    {
      "matches": [
        "https://*.ground.news/*",
        "*://localhost/*"
      ],
      "js": [
        "js/ground.js"
      ],
      "run_at": "document_start"
    }
  ],
  "web_accessible_resources": [
    {
      "resources": [
        "frame.html",
        "js/frame.js",
        "popup.html",
        "js/popup.js"
      ],
      "matches": [
        "http://*/*",
        "https://*/*"
      ]
    },
    {
      "resources": [
        "fonts/*.woff",
        "fonts/*.ttf"
      ],
      "matches": [
        "http://*/*",
        "https://*/*"
      ]
    }
  ],
  "action": {
    "default_icon": {
      "16": "16.png",
      "32": "32.png",
      "48": "48.png",
      "128": "128.png"
    },
    "default_title": "Ground News Explorer",
    "default_popup": "menu.html"
  },
  "manifest_version": 3
}